## org.apache.commons.math.special
Class Beta

    java.lang.Object
      org.apache.commons.math.special.Beta

    public class Beta

extends java.lang.Object

This is a utility class that provides computation methods related to the Beta family of functions.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Field Summary
`private static double` `DEFAULT_EPSILON` Maximum allowed numerical error.

Constructor Summary
`private` `Beta()` Default constructor.

Method Summary
`static double` `logBeta(double a, double b)` Returns the natural logarithm of the beta function B(a, b).
`static double` `logBeta(double a, double b, double epsilon, int maxIterations)` Returns the natural logarithm of the beta function B(a, b).
`static double` `regularizedBeta(double x, double a, double b)` Returns the regularized beta function I(x, a, b).
`static double` `regularizedBeta(double x, double a, double b, double epsilon)` Returns the regularized beta function I(x, a, b).
`static double` `regularizedBeta(double x, double a, double b, double epsilon, int maxIterations)` Returns the regularized beta function I(x, a, b).
`static double` `regularizedBeta(double x, double a, double b, int maxIterations)` Returns the regularized beta function I(x, a, b).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_EPSILON

    private static final double DEFAULT_EPSILON

  Maximum allowed numerical error.

  See Also:
    Constant Field Values

Constructor Detail

### Beta

    private Beta()

  Default constructor. Prohibit instantiation.

Method Detail

### regularizedBeta

    public static double regularizedBeta(double x,
                                         double a,
                                         double b)
                                  throws MathException

  Returns the regularized beta function I(x, a, b).

  Parameters:
    `x` - the value.
    `a` - the a parameter.
    `b` - the b parameter.
  Returns:
    the regularized beta function I(x, a, b)
  Throws:
    `MathException` - if the algorithm fails to converge.

### regularizedBeta

    public static double regularizedBeta(double x,
                                         double a,
                                         double b,
                                         double epsilon)
                                  throws MathException

  Returns the regularized beta function I(x, a, b).

  Parameters:
    `x` - the value.
    `a` - the a parameter.
    `b` - the b parameter.
    `epsilon` - When the absolute value of the nth item in the series is less than epsilon the approximation ceases to calculate further elements in the series.
  Returns:
    the regularized beta function I(x, a, b)
  Throws:
    `MathException` - if the algorithm fails to converge.

### regularizedBeta

    public static double regularizedBeta(double x,
                                         double a,
                                         double b,
                                         int maxIterations)
                                  throws MathException

  Returns the regularized beta function I(x, a, b).

  Parameters:
    `x` - the value.
    `a` - the a parameter.
    `b` - the b parameter.
    `maxIterations` - Maximum number of "iterations" to complete.
  Returns:
    the regularized beta function I(x, a, b)
  Throws:
    `MathException` - if the algorithm fails to converge.

### regularizedBeta

    public static double regularizedBeta(double x,
                                         double a,
                                         double b,
                                         double epsilon,
                                         int maxIterations)
                                  throws MathException

  Returns the regularized beta function I(x, a, b). The implementation of this method is based on:
  - Regularized Beta Function.
  - Regularized Beta Function.

  Parameters:
    `x` - the value.
    `a` - the a parameter.
    `b` - the b parameter.
    `epsilon` - When the absolute value of the nth item in the series is less than epsilon the approximation ceases to calculate further elements in the series.
    `maxIterations` - Maximum number of "iterations" to complete.
  Returns:
    the regularized beta function I(x, a, b)
  Throws:
    `MathException` - if the algorithm fails to converge.

### logBeta

    public static double logBeta(double a,
                                 double b)

  Returns the natural logarithm of the beta function B(a, b).

  Parameters:
    `a` - the a parameter.
    `b` - the b parameter.
  Returns:
    log(B(a, b))

### logBeta

    public static double logBeta(double a,
                                 double b,
                                 double epsilon,
                                 int maxIterations)

  Returns the natural logarithm of the beta function B(a, b). The implementation of this method is based on:
  - Beta Function, equation (1).

  Parameters:
    `a` - the a parameter.
    `b` - the b parameter.
    `epsilon` - When the absolute value of the nth item in the series is less than epsilon the approximation ceases to calculate further elements in the series.
    `maxIterations` - Maximum number of "iterations" to complete.
  Returns:
    log(B(a, b))

Copyright (c) 2003-2010 Apache Software Foundation